"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.doFindChangedPackages = void 0;
const devopsCore_1 = require("@thatdevops/core/devopsCore");
const getProjectPkgs_1 = __importDefault(require("@thatdevops/core/pkgman/getProjectPkgs"));
const spawnSilently_1 = __importDefault(require("@thatdevops/core/utils/spawnSilently"));
function doFindChangedPackages() {
    var _a, _b;
    return __awaiter(this, void 0, void 0, function* () {
        const { rootPath } = (0, devopsCore_1.getDevOpsCore)();
        const pkgs = yield (0, getProjectPkgs_1.default)();
        const changed = [];
        for (const pkg of pkgs) {
            const lastDate = (_b = (_a = pkg.json.devops) === null || _a === void 0 ? void 0 : _a.lastPublished) !== null && _b !== void 0 ? _b : '2020-01-01T00:00:00Z';
            const fls = yield (0, spawnSilently_1.default)('git', ['log', '--name-only', '--pretty=oneline', `--since="${lastDate}"`, pkg.relativePath], rootPath);
            if (fls.length)
                changed.push(pkg);
        }
        return changed;
    });
}
exports.doFindChangedPackages = doFindChangedPackages;
exports.default = doFindChangedPackages;
//# sourceMappingURL=doFindChangedPackages.js.map