"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.doPublishPackage = void 0;
const spawnSilently_1 = __importDefault(require("@thatdevops/core/utils/spawnSilently"));
const fs_1 = __importDefault(require("fs"));
const luxon_1 = require("luxon");
const path_1 = __importDefault(require("path"));
function doPublishPackage(pkg, newVersion) {
    return __awaiter(this, void 0, void 0, function* () {
        const now = luxon_1.DateTime.now().toISO();
        delete pkg.json.gitHead;
        fs_1.default.writeFileSync(path_1.default.join(pkg.location, 'package.json'), JSON.stringify(Object.assign(Object.assign({}, pkg.json), { devops: { lastPublished: now } }), null, 4));
        console.log(`- ${pkg.json.name} to ${newVersion}`);
        yield (0, spawnSilently_1.default)('yarn', ['publish', '--new-version', newVersion], pkg.location);
    });
}
exports.doPublishPackage = doPublishPackage;
//# sourceMappingURL=doPublishPackage.js.map