import Pkg from '@thatdevops/core/pkgman/Pkg'
import spawnSilently from '@thatdevops/core/utils/spawnSilently'
import fs from 'fs'
import { DateTime } from 'luxon'
import path from 'path'

export async function doPublishPackage(pkg: Pkg, newVersion: string): Promise<void> {
	// Save the last published date and remove gitHead (a lerna thing)
	const now = DateTime.now().toISO()
	delete pkg.json.gitHead
	fs.writeFileSync(
		path.join(pkg.location, 'package.json'),
		JSON.stringify({ ...pkg.json, devops: { lastPublished: now } }, null, 4)
	)

	console.log(`- ${pkg.json.name} to ${newVersion}`)

	await spawnSilently('yarn', ['publish', '--new-version', newVersion], pkg.location)
}
